Bug 218852 - Review Request: python-openid - Python OpenID libraries
Review Request: python-openid - Python OpenID libraries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On: 218831 218844
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-07 15:48 EST by Jeffrey C. Ollie
Modified: 2007-12-14 20:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 09:48:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-12-07 15:48:04 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-openid-1.1.1-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-openid-1.1.1-1.fc6.src.rpm
Description:

The OpenID library with batteries included.

Features:

    * Refined and easy-to-use API.
    * Extensive documentation.
    * Many storage implemetations including file-based, SQL, and memcached.
    * Simple examples to help you get started.
    * Licensed under the LGPL.
Comment 1 Bernard Johnson 2006-12-09 17:46:10 EST
This is an unofficial review as I'm not sponsored.

rpmlint is silent on the srpm and the rpm.

A mock-build for FC6 is successful.

This package meets all "Must" requirements.

Nice packaging.  This ends my review.
Comment 2 John Mahowald 2007-01-17 01:57:33 EST
+ builds on x86_64 devel
+ rpmlint clean
+ follows python spec template
+ License: LGPL
+ macro use
+ %check passes
+ source matches upstream

APPROVED
Comment 3 Jeffrey C. Ollie 2007-01-17 08:38:22 EST
Thanks for the review!  Imported and built for development.  Branched requested
for FC-5 and FC-6.
Comment 4 Jeffrey C. Ollie 2007-12-14 17:58:20 EST
Package Change Request
======================
Package Name: python-openid
New Branches: EL-4
Updated EPEL Owners: jcollie
Comment 5 Kevin Fenzi 2007-12-14 19:07:34 EST
cvs done.
Comment 6 Jeffrey C. Ollie 2007-12-14 19:58:19 EST
Ugh... that's what I get for trying to put in the request too quickly...  I
might as well keep the EL-4 branch anyway, I'm sure someone will want it anyway.

Package Change Request
======================
Package Name: python-openid
New Branches: EL-5
Updated EPEL Owners: jcollie

Comment 7 Kevin Fenzi 2007-12-14 20:08:04 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.